Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001581 [Piwigo] user comments minor always 2010.04.06 22:10 2010.04.14 17:04
Reporter grum View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC2 Product Version 2.1.0RC2
  Target Version 2.1.0RC2 Product Build
Summary 0001581: Error message when deleting a user comment
Description In the galerie (picture or comments page), when deleting a comment an error message is displayed :

-----------------------
Notice: Undefined index: comment_id in /home/..../testpwgtrunk/html/include/functions_comment.inc.php on line 322
-----------------------
Steps To Reproduce
Additional Information The message is displayed if the user is the writer or the admin.
The comment is deleted
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003698)
plg (manager)
2010.04.07 13:04

grum, I don't have this message. In my php.ini, I've tried:

error_reporting = E_ALL | E_STRICT | E_NOTICE | E_DEPRECATED
error_reporting = E_ALL

But I don't see the "Notice" message :-/

What is your error_reporting configuration?
(0003702)
grum (administrator)
2010.04.07 20:38

my error reporting is E_ALL in the config_default.inc.php file
$conf['show_php_errors'] = E_ALL;

if I set an empty value, there is no error message anymore.
(0003704)
plg (manager)
2010.04.07 20:43

> $conf['show_php_errors'] = E_ALL;

I also have the same :-/
(0003705)
grum (administrator)
2010.04.07 21:32

I will try to understand why I have this problem this week-end
(0003712)
svn (reporter)
2010.04.08 10:58

[Subversion] r5707 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Bug 1581 fixed : missing comment_id for email_admin() function

- Issue History
Date Modified Username Field Change
2010.04.06 22:10 grum New Issue
2010.04.06 22:10 grum browser => any
2010.04.06 22:10 grum Web server => Apache 1.3.x
2010.04.07 13:04 plg Note Added: 0003698
2010.04.07 20:38 grum Note Added: 0003702
2010.04.07 20:43 plg Note Added: 0003704
2010.04.07 21:32 grum Note Added: 0003705
2010.04.08 10:55 nikrou Status new => assigned
2010.04.08 10:55 nikrou Assigned To => nikrou
2010.04.08 10:58 svn Checkin
2010.04.08 10:58 svn Note Added: 0003712
2010.04.08 10:59 nikrou Status assigned => resolved
2010.04.08 10:59 nikrou Resolution open => fixed
2010.04.14 17:04 plg Status resolved => closed
2010.04.14 17:04 plg Fixed in Version => 2.1.0RC2
2010.04.14 17:04 plg Target Version => 2.1.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker